package btools.router.navi;

import btools.mapaccess.OsmLink;
import btools.mapaccess.OsmNode;

public class NaviBridgeLink {
	private OsmNode source;
	private OsmLink link;
	
	public NaviBridgeLink() {
		
	}
	
	public NaviBridgeLink(OsmNode pOsmNode, OsmLink pOsmLink) {
		source = pOsmNode;
		link = pOsmLink;
	}
	
	public OsmNode getSource() {
		return source;
	}
	public void setSource(OsmNode source) {
		this.source = source;
	}
	public OsmLink getLink() {
		return link;
	}
	public void setLink(OsmLink link) {
		this.link = link;
	}
	
	
	@Override
	public boolean equals(Object o) {
		boolean result = false;
		if(o instanceof NaviBridgeLink) {
			NaviBridgeLink naviBridgeLink = (NaviBridgeLink) o;
			if(naviBridgeLink.source == source && naviBridgeLink.link == link) {
				result = true;
			}
			
		} else {
			super.equals(o);
		}
		return result;
	}
	
}
