package rgnavigator.core.factories;

import rgnavigator.core.interfaces.NaviMapI;
import rgnavigator.core.interfaces.NavigationContextI;
import rgnavigator.core.interfaces.TackNavigatorI;
import rgnavigator.navigation.NavigationContext;
import rgnavigator.navigation.TackNavigator;

public class NavigatorFactory {
	public static final NavigationContextI createNavigationContext() {
		return new NavigationContext();
	}

	public static final TackNavigatorI createTackNavigator(NaviMapI pNaviMap, String pBaseDir, String pProfileName) {
		return new TackNavigator(pNaviMap, pBaseDir, pProfileName);
	}

}
