package rgnavigator.core.factories;

import rgnavigator.core.interfaces.PosI;
import rgnavigator.core.interfaces.TrackStepI;
import rgnavigator.core.interfaces.WayNodeI;
import rgnavigator.navigation.TrackStep;

public class TrackStepFactory {
	public static final TrackStepI createTrackStep(PosI pPos) {
		return new TrackStep(pPos, null);
	}

	public static final TrackStepI createTrackStep(PosI pPos, WayNodeI pWayNode) {
		return new TrackStep(pPos, pWayNode);
	}
	
}
