package rgnavigator.core.interfaces;

import java.util.Collection;

public interface MapTileI {
	public Collection<MapObjectI> getMapObjects(PosI pPos);

	public Collection<MapObjectI> getAllMapObjects();

	public WayNodeI getFirstWayNode(PosI pPos);

	public WayConnectorI getFirstWayConnector(PosI pPos);

	public void add(MapObjectI pMapObject);

	public void add(Collection<MapObjectI> pMapObject);
}
