package rgnavigator.core.interfaces;

import java.util.Collection;
import java.util.List;

public interface TrackStepI extends PosI {
	public WayNodeI getWayNode();

	public int getDistance();

	public int getStepLength();

	public double getAngleChange();

	public void setDistance(int distance);

	public void setStepLength(int stepLength);

	public void setAngleChange(double angleChange);

	public Collection<WayNodeI> getNeighbours();

	public List<TrackStepI> getStepAlternatives();

	public void addAlternative(TrackStepI pAlternativeStep);

	public void setStepAlternatives(List<TrackStepI> stepAlternatives);

	public boolean hasStepAlternatives();

	public TrackStepI getNext();

	public void setNext(TrackStepI next);

	public boolean hasNext();

	public boolean hasPrevious();

	public TrackStepI getPrevious();

	public void setPrevious(TrackStepI previous);

	public int getStepNumber();

	public void setStepNumber(int pNo);

	public int getSourceStepIndex();

	public void setSourceStepIndex(int sourceStepNo);

}
