package rgnavigator.scripting;

import java.io.IOException;

import rgnavigator.core.interfaces.NavigationContextI;
import sisc.data.Value;
import sisc.io.ValueWriter;

public class NavigationContextValue extends Value {
	private NavigationContextI contextpos;

	public NavigationContextValue(NavigationContextI pContextpos) {
		contextpos = pContextpos;
	}

	public NavigationContextI getNavigationContext() {
		return contextpos;
	}
	
	public int size() {
		return contextpos.getSteps().size();
	}

	// =======================================================
	@Override
	public void display(ValueWriter pValueWriter) throws IOException {
		pValueWriter.append(contextpos.toString());
	}

}
