package rgnavigator.scripting;

import java.io.IOException;

import rgnavigator.core.interfaces.TrackStepI;
import sisc.data.Value;
import sisc.io.ValueWriter;

public class TrackStepValue extends Value {
	private TrackStepI trackStep;

	public TrackStepValue(TrackStepI pTrackStep) {
		trackStep = pTrackStep;

	}

	public TrackStepI getTrackStep() {
		return trackStep;
	}

	// =======================================================
	@Override
	public void display(ValueWriter pValueWriter) throws IOException {
		pValueWriter.append(trackStep.toString());
	}

	// =======================================================
	@Override
	public boolean eqv(Object arg0) {
		boolean result = false;
		if(arg0 instanceof TrackStepValue) {
			TrackStepValue cmp = (TrackStepValue) arg0;
			result = trackStep == cmp.getTrackStep() || trackStep.getStepNumber() == cmp.getTrackStep().getStepNumber();
		}
		return result;
	}

}
