package rgnavigator.core.interfaces;

import java.util.List;

public interface NavigationContextI {

	// ===================================================================
	public abstract boolean hasPrevPos();

	// ===================================================================
	public boolean hasSteps();

	public abstract int stepCount();

	// ===================================================================
	/**
	 * 
	 * @param pLookBackValue
	 *            => 0 is the last added to the list
	 * @return
	 */
	public abstract TrackStepI getPrevStep(int pLookBackValue);

	// ===================================================================
	public abstract void addStep(TrackStepI pStep);

	public List<TrackStepI> getSteps();

	public List<NaviWaypointI> getWaypoints();

	public void addWaypoint(NaviWaypointI pNaviWaypoint);

	public int getSourceStepIndex();

	public void incSourceStepIndex();
}