package rgnavigator.scripting;

public interface NaviProcedureIds {
	final int BASE = 100000;

	int STEP_NEXT_STEP  	= BASE + 3;
	int STEP_PREV_STEP  	= BASE + 4;
	int STEP_POS 			= BASE + 5;
	int STEP_ALTERNATIVES 	= BASE + 6;
	int STEP_NO		 		= BASE + 7;
	int STEP_ANGLE 			= BASE + 8;
	int STEP_LENGTH 		= BASE + 9;
	int STEP_DISTANCE 		= BASE + 10;
	int STEP_ELE			= BASE + 11;
	int STEP_IS_STEP		= BASE + 12;
	int STEP_IS_POS			= BASE + 13;
	int STEP_AIR_DIST		= BASE + 14;
	int STEP_JUNCTION		= BASE + 15;
	int STEP_NEXT_JUNCTION	= BASE + 16;
	int STEP_PREV_JUNCTION	= BASE + 17;
	int STEP_COUNT			= BASE + 18;
	int STEP_ATTRIBUTE_CONT	= BASE + 19;
	int STEP_SOURCE_STEP_NO	= BASE + 20;
	
	int STRING_REPLACE_ALL	= BASE + 30;
	int STRING_REPLACE_FIRST= BASE + 31;
	
	int WAYPOINT_NEW		= BASE + 50;
	int WAYPOINT_SET_VALUE	= BASE + 51;
	int WAYPOINT_GET_VALUE	= BASE + 52;
	int WAYPOINT_ADD		= BASE + 53;

	int NAVICONTEXT_IS_CONTEXT	= BASE + 70;
	int NAVICONTEXT_FIRST_STEP	= BASE + 71;
	int NAVICONTEXT_LAST_STEP 	= BASE + 72;
	int NAVICONTEXT_HAS_STEPS	= BASE + 73;

	int ATTRIBCONT_ATTRIBUTES		= BASE + 90;
	int ATTRIBCONT_HAS_ATTRIBUTE	= BASE + 91;
	int ATTRIBCONT_GET_ATTRIBUTE	= BASE + 92;
	int ATTRIBCONT_IS_ATTRIBUTE_CONT= BASE + 93;

	
}
