package rgnavigator.scripting;

import java.io.IOException;

import rgnavigator.core.NaviUtil;
import rgnavigator.core.interfaces.PosI;
import sisc.data.Value;
import sisc.io.ValueWriter;

public class PosValue extends Value {
	private PosI pos;

	public PosValue(PosI pPos) {
		pos = pPos;
	}

	public PosI getPos() {
		return pos;
	}

	// =======================================================
	@Override
	public boolean eqv(Object pO) {
		boolean result = false;
		if (pO instanceof PosI) {
			result = NaviUtil.getIdFromPos(pos) == NaviUtil.getIdFromPos((PosI) pO);
		}
		return result;
	}

	// =======================================================
	@Override
	public void display(ValueWriter pValueWriter) throws IOException {
		pValueWriter.append(pos.toString());
	}

}
